Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat.share
Class AbstractServerAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.MadChat.share.AbstractServerAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

Direct Known Subclasses:
  FileServerAgent, PluginServerAgent, SenderAgent

    public class AbstractServerAgent

extends Agent

Author:
  Jaco To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `madkitDirectory`
`static java.lang.String` | `separator`

Constructor Summary
`AbstractServerAgent()`

Method Summary
`void` | `changeGroup(java.lang.String s)`
`void` | `changeRole(java.lang.String g, java.lang.String r)`
`FicDataBase` | `getData()`
`java.lang.String` | `getGroupName()`
`java.lang.String` | `getRoleName()`
`boolean` | `removeSmallSenderAgent(SmallSenderAgent ssa)`
`protected void` | `setGroupName(java.lang.String s)`
`void` | `setRoleName(java.lang.String s)`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, live, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`activate, broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, end, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### separator

    public static java.lang.String separator

### madkitDirectory

    public java.lang.String madkitDirectory

Constructor Detail

### AbstractServerAgent

    public AbstractServerAgent()

Method Detail

### getData

    public FicDataBase getData()

### changeGroup

    public void changeGroup(java.lang.String s)

### changeRole

    public void changeRole(java.lang.String g,
                           java.lang.String r)

### getGroupName

    public java.lang.String getGroupName()

### setGroupName

    protected void setGroupName(java.lang.String s)

### getRoleName

    public java.lang.String getRoleName()

### setRoleName

    public void setRoleName(java.lang.String s)

### removeSmallSenderAgent

    public boolean removeSmallSenderAgent(SmallSenderAgent ssa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.